﻿
$ErrorActionPreference = 'Stop';
$url32 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/da00c596-4976-4a42-91d1-902119e2d260/MicrosoftEdgeEnterpriseX86.msi'
$url64 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/7f1e99eb-894f-46e9-82d9-8fa888df0a57/MicrosoftEdgeEnterpriseX64.msi'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64

  softwareName   = 'Microsoft Edge'

  checksum       = 'EE9BBC4F44A0A5A00686E24E0F08DE316F4FAD47F242A405B1092D3E81A66485'
  checksumType   = 'sha256'
  checksum64     = '88976A0D92DFA1B8E6C352E64F196255ADC71E76F62F60A31172CEDCDBC3B5B6'
  checksumType64 = 'sha256'

  silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
